---
docs:
  -
    url: https://developer.android.com/guide/topics/ui/look-and-feel/emoji-compat
    title: Emoji Compatibility
    description: Documentation for Android Support edition of emoji compatibility code
articles:
  -
    url: https://medium.com/@DeepakDroid/android-emoji-compatibility-6490f6fb73bd
    title: Android Emoji Compatibility (2017-11-04)
  -
    url: https://medium.com/exploring-android/exploring-the-android-emoji-compatibility-library-1b9f3bb724aa
    title: Exploring the Android EmojiCompat Library (2017-08-31)
samples:
--- |
    This library, and the others in `androidx.emoji`, exist to try to offer a
    continuously-updated set of emoji for apps to use. Otherwise, you wind up
    with device-supplied emoji from device-supplied fonts, and they may not cover
    newer emoji.

    This specific library offers widgets, like `EmojiEditText`, for working with
    Google-supplied sources of emoji.

    Most of the material on emoji compatibility is on the former Android Support Library
    packages. The artifacts and imports are different, but much of the functionality
    should be the same.
